<?php

### MAIN ADMIN PAGE (overview + edit forms) ####################################################

	function jigowatt_form_admin_welcome() {
	
		global $jigowatt_vars, $wpdb;
		
		$hide_welcome_page = false;
		
		if (isset($_GET['delete']) && $_GET['delete']==true && $_GET['form_id']) {
			
			if ($_GET['confirm']==true) {
				$wpdb->query('DELETE FROM '.$jigowatt_vars['form_database'].' WHERE ID = '.$wpdb->escape($_GET['form_id']).';');
				$wpdb->query('DELETE FROM '.$jigowatt_vars['form_data_database'].' WHERE formID = '.$wpdb->escape($_GET['form_id']).';');
			} else { ?>
				<div class="wrap">
					<div id="jigowatt_admin_icon" class="icon32"><br/></div>        
					<h2><?php _e('Delete Form',"jigowatt"); ?></h2>
					<br class="a_break" style="clear: both;"/>
					<p><?php _e('Are you sure you want to delete this form?',"jigowatt");?> <a href="admin.php?page=jigowatt-forms&amp;form_id=<?php echo $_GET['form_id']; ?>&amp;delete=true&amp;confirm=true">[<?php _e('YES',"jigowatt");?>]</a> <a href="admin.php?page=jigowatt-forms">[<?php _e('NO',"jigowatt");?>]</a></p>
				</div>
				<?php
				$hide_welcome_page = true;
			}
		}
			
		if (isset($_GET['edit']) && $_GET['edit']==true && $_GET['form_id']) gb_contact_form_admin_add_form('edit');
		elseif (!$hide_welcome_page) {
		
			?>
			<div class="wrap">
				<div id="jigowatt_admin_icon" class="icon32"><br/></div>        
				<h2><?php _e('Jigowatt WordPress AJAX Contact Forms',"jigowatt"); ?></h2>
				<div class="clear"></div>
				<p><?php _e('An AJAX powered HTML / PHP contact form with Twitter Direct Messaging, easily integrated into WordPress posts, pages, or templates.',"jigowatt"); ?></p>
				<p><?php _e('You can insert any form in a post or page by using the <code>[jigowatt_form]</code> shortcode, or insert it in a template by using <code>echo do_shortcode("[jigowatt_form]");</code> - Magic.',"jigowatt"); ?></p>
		        
		        <h3><?php _e('Your Forms',"jigowatt"); ?></h3>        
				<table class="widefat"> 
					<thead>
						<tr>
							<th scope="col"><?php _e('Form ID',"jigowatt"); ?></th>
							<th scope="col"><?php _e('Form Name',"jigowatt"); ?></th>
							<th scope="col"><?php _e('Shortcode',"jigowatt"); ?></th>
							<th scope="col"><?php _e('Recipient Email',"jigowatt"); ?></th>							
							<th scope="col" style="text-align:center" width="70"><?php _e('Actions',"jigowatt"); ?></th>
						</tr>
					</thead>
					<tbody id="the-list">
						<?php	
							$sql_forms = sprintf("SELECT * FROM %s ORDER BY id;",
								$wpdb->escape( $jigowatt_vars['form_database'] ));	
							$forms = $wpdb->get_results($sql_forms);
							if (!empty($forms)) {
								foreach ( $forms as $form ) : ?>
									<tr>
										<td><?php echo $form->ID; ?></td>
										<td><?php echo $form->form_name; ?></td>
										<td><code>[jigowatt_form id="<?php echo $form->ID; ?>"]</code></td>
										<td><?php echo $form->form_email; ?></td>
										<td style="text-align:center"><a href="admin.php?page=jigowatt-forms&amp;form_id=<?php echo $form->ID; ?>&amp;edit=true"><img src="<?php echo $jigowatt_vars['plugin_url']; ?>/assets/edit.png" alt="<?php _e('Edit',"jigowatt"); ?>" title="<?php _e('Edit',"jigowatt"); ?>" /></a>&nbsp;&nbsp;<a href="admin.php?page=jigowatt-forms&amp;form_id=<?php echo $form->ID; ?>&amp;delete=true" class="deleteform"><img src="<?php echo $jigowatt_vars['plugin_url']; ?>/assets/cross.png" alt="<?php _e('Delete',"jigowatt"); ?>" title="<?php _e('Delete',"jigowatt"); ?>" /></a></td>
									</tr>
								<?php endforeach;
							} else echo '<tr><td colspan="5">'.__('No Forms Found.',"jigowatt").' <a href="admin.php?page=gb_contact_form_admin_add_form">'.__('Add a form &rarr;',"jigowatt").'</a></td></tr>';
						?>
					</tbody>
				</table>
				<div class="clear"></div>
			</div>
			<script type="text/javascript">
			/* <![CDATA[ */
				jQuery('.deleteform').each(function(){
					var myhref = jQuery(this).attr('href');
					jQuery(this).attr('href', myhref + '&confirm=true');
				}).click(function() {
					if (confirm("<?php _e('Are you sure you want to delete this form?', "jigowatt"); ?>")) return true; else return false;
				});		
			/* ]]> */
			</script>
			<?php
		}
	}
		
### Function for the add form page ####################################################

	function gb_contact_form_admin_add_form( $mode = '' ) {
	
		global $jigowatt_vars, $wpdb;
		
		$errors = array();
		$posted = array();
		$twitter_data = array();
		$form_id = '';
		
		if (isset($_GET['form_id'])) $form_id = (int) $_GET['form_id'];
		
		if (isset($_POST['saveform'])) :			
				
			// Get posted vars			
			$posted['form_name'] = trim(stripslashes($_POST['form_name']));
			$posted['form_email'] = trim(stripslashes($_POST['form_email']));
			$posted['form_code'] = trim(stripslashes($_POST['form_code']));
			
			$posted['twitter_name'] = trim(stripslashes($_POST['twitter_name']));
			$posted['twitter_ckey'] = trim(stripslashes($_POST['twitter_ckey']));
			$posted['twitter_csecret'] = trim(stripslashes($_POST['twitter_csecret']));
			$posted['twitter_token'] = trim(stripslashes($_POST['twitter_token']));
			$posted['twitter_secret'] = trim(stripslashes($_POST['twitter_secret']));
			
			$twitter_data['twitter_name'] = $posted['twitter_name'];
			$twitter_data['twitter_ckey'] = $posted['twitter_ckey'];
			$twitter_data['twitter_csecret'] = $posted['twitter_csecret'];
			$twitter_data['twitter_token'] = $posted['twitter_token'];
			$twitter_data['twitter_secret'] = $posted['twitter_secret'];
			
			// Validate posted vars
			if ( empty($posted['form_name']) ) $errors[] = __('<code>Form Name</code> is a required field.',"jigowatt");
			if ( empty($posted['form_email']) ) $errors[] = __('<code>Email Address</code> is a required field.',"jigowatt");
			if ( empty($posted['form_code']) ) $errors[] = __('<code>Form Code</code> is empty...add some!',"jigowatt");
			if ( 
				!empty($twitter_data['twitter_name']) 
				|| !empty($twitter_data['twitter_ckey']) 
				|| !empty($twitter_data['twitter_csecret'])  
				|| !empty($twitter_data['twitter_token'])  
				|| !empty($twitter_data['twitter_secret'])  
			) :
				if ( 
					empty($twitter_data['twitter_name']) 
					|| empty($twitter_data['twitter_ckey']) 
					|| empty($twitter_data['twitter_csecret'])  
					|| empty($twitter_data['twitter_token'])  
					|| empty($twitter_data['twitter_secret'])  
				) $errors[] = __('To use Twitter direct messaging please complete all of the fields.',"jigowatt");
			endif;
			
			if (sizeof($errors)==0) :
			
				if ($mode=='edit' && $form_id > 0) : 
				
					// Update the form :D
					$wpdb->update( $jigowatt_vars['form_database'], array( 
						'form_name' 	=> $posted['form_name'], 
						'form_email' 	=> $posted['form_email'],
						'form_code' 	=> $posted['form_code'],
						'twitter_data' 	=> serialize( $twitter_data )
					), array( 'ID' => $form_id ), array( 
						'%s', 
						'%s', 
						'%s', 
						'%s', 
					), array( '%d' ) );
					
					// Redirect
					echo '<div class="wrap"><div id="jigowatt_admin_icon" class="icon32"><br/></div>        
					<h2>'.__('Edit Form',"jigowatt").'</h2><div class="clear"></div>
					<div id="message" class="updated fade"><p><strong>'.__("Form updated successfully","jigowatt").'</strong></p></div></div>';			
					echo '<meta http-equiv="refresh" content="1;url=admin.php?page=jigowatt-forms"/>';
					exit;
				
				else :
					
					// Save the form :D
					$wpdb->insert( $jigowatt_vars['form_database'], array( 
						'form_name' 	=> $posted['form_name'], 
						'form_email' 	=> $posted['form_email'],
						'form_code' 	=> $posted['form_code'],
						'twitter_data' 	=> serialize( $twitter_data )
					), array( 
						'%s', 
						'%s', 
						'%s', 
						'%s', 
					) );
					
					if ($insertid = $wpdb->insert_id) {
					
						// Redirect
						echo '<div class="wrap"><div id="jigowatt_admin_icon" class="icon32"><br/></div>        
						<h2>'.__('Add a Form',"jigowatt").'</h2><div class="clear"></div>
						<div id="message" class="updated fade"><p><strong>'.__("Form saved successfully","jigowatt").'</strong></p></div></div>';			
						echo '<meta http-equiv="refresh" content="1;url=admin.php?page=jigowatt-forms"/>';
						exit;
						
					} else $errors[]= __('Error adding to Database. Check that the tables exist.', "jigowatt");
				
				endif;
			
			endif;
		
		elseif ($mode=='edit' && $form_id > 0) : 
		
			// Load Data
			$data = $wpdb->get_row("SELECT * FROM ".$jigowatt_vars['form_database']." WHERE ID = ".$form_id.";");
			
			$posted['form_name'] = $data->form_name;
			$posted['form_email'] = $data->form_email;
			$posted['form_code'] = $data->form_code;
			
			$twitter_data = unserialize($data->twitter_data);
			
			$posted['twitter_name'] 	= $twitter_data['twitter_name'];
			$posted['twitter_ckey'] 	= $twitter_data['twitter_ckey'];
			$posted['twitter_csecret'] 	= $twitter_data['twitter_csecret'];
			$posted['twitter_token'] 	= $twitter_data['twitter_token'];
			$posted['twitter_secret'] 	= $twitter_data['twitter_secret'];
			
		endif;
		?>
		<div class="wrap">			
			<div id="jigowatt_admin_icon" class="icon32"><br/></div>        
			
			<?php if ($mode=='edit') : ?>
				<h2><?php _e('Edit Form',"jigowatt"); ?></h2>
			<?php else : ?>
				<h2><?php _e('Add a Form',"jigowatt"); ?></h2>		
				<p><?php _e('Fill in the options below to create a new contact form &ndash; a default form has been loaded ready for you to use or customise.',"jigowatt"); ?></p>
			<?php endif; ?>
			<div class="clear"></div>
			
			<?php
				if (sizeof($errors)) :
					echo '<ul class="error jigowatt-error">';
					foreach ($errors as $error) {
						echo '<li><p>'.$error.'</p></li>';
					}
					echo '</ul>';
				endif;
			?>

			<?php if ($mode=='edit') : ?>
				<form action="admin.php?page=jigowatt-forms&form_id=<?php echo $form_id ?>&edit=true" method="post" name="config">
			<?php else : ?>
				<form action="admin.php?page=gb_contact_form_admin_add_form" method="post" name="config">
			<?php endif; ?>
			<div class="clear"></div>
			
				<table class="optiontable form-table">
					<tr valign="top">
						<th scope="row"><label for="form_name"><?php _e('Form Name: (Required)',"jigowatt"); ?></label></th> 
						<td><input type="text" value="<?php if (isset($posted['form_name'])) echo $posted['form_name']; else echo 'Contact Form'; ?>" name="form_name" maxlength="200" size="40" id="form_name" /></td> 
					</tr>
					<tr valign="top">
						<th scope="row"><label for="form_email"><?php _e('Email Address: (Required)',"jigowatt"); ?></label></th> 
						<td><input type="text" value="<?php if (isset($posted['form_email'])) echo $posted['form_email']; else echo get_option('admin_email'); ?>" name="form_email" size="40" id="form_email" /> <span class="description setting-description"><?php _e('This will be the address that the email is sent to.',"jigowatt"); ?></span></td> 
					</tr>
					<tr valign="top">
						<th scope="row"><label for="form_code"><?php _e('Form Code:', "jigowatt"); ?></label></th> 
						<td>
							<!-- Textarea with default basic form code -->
							<textarea name="form_code" id="form_code" rows="22" cols="20" style="width:60%; float:left; height:350px;"><?php if (isset($posted['form_code'])) : echo htmlspecialchars($posted['form_code']); else : ?>&lt;fieldset&gt;								        
	&lt;legend&gt;Please fill in the following form to contact us&lt;/legend&gt;
	
	&lt;div&gt;&lt;label for="name" accesskey="U"&gt;&lt;span class="required"&gt;*&lt;/span&gt; Your Name&lt;/label&gt;
	[input_box type="text" name="name"]&lt;/div&gt;
	
	&lt;div&gt;&lt;label for="email" accesskey="E"&gt;&lt;span class="required"&gt;*&lt;/span&gt; Email&lt;/label&gt;
	[input_box type="email" name="email"]&lt;/div&gt;
	
	&lt;div&gt;&lt;label for="phone" accesskey="P">&lt;span class="required">*&lt;/span> Phone&lt;/label&gt;
	[input_box type="text" name="phone"]&lt;/div&gt;
	
	&lt;div&gt;&lt;label for="subject" accesskey="S"&gt;Subject&lt;/label&gt;
	[select_box id="subject" name="subject" values="Support|Sales|Report a bug"]&lt;/div&gt;
	
	&lt;div&gt;&lt;label for="comments" accesskey="C">&lt;span class="required"&gt;*&lt;/span&gt; Your comments&lt;/label&gt;
	[message_box name="comments"]&lt;/div&gt;
	
	&lt;div&gt;&lt;label for="captcha"&gt;&lt;span class="required"&gt;*&lt;/span&gt; Are you human?&lt;/label&gt;
	[captcha]&lt;/div&gt;
	
	&lt;div&gt;[input_box type="submit" name="submit"]&lt;/div&gt;

&lt;/fieldset&gt;<?php endif; ?></textarea>
							<div class="reference" style="width:33%; margin-right: 4%; float:right; overflow:auto; border: 1px solid #dfdfdf; padding: 0 1% 0; height:350px; ">
								<h4><?php _e('Shortcode Reference', 'jigowatt'); ?></h4>
								<p><?php _e('Use shortcodes and html in the "form code" box to define what your form should contain. You can use the following shortcodes:',"jigowatt"); ?></p>
								<ul style="list-style:disc outside; padding-left: 24px">
									<li><code>[input_box]</code>, <code>[input_box type="email"]</code>, <code>[input_box type="submit"]</code> &mdash; <?php _e('Used for single line text, email fields, and submit buttons.',"jigowatt"); ?></li>
									<li><code>[message_box]</code> &mdash; <?php _e('Used for multi line text (textarea).',"jigowatt"); ?></li>
									<li><code>[select_box values="Value|Another Value"]</code> &mdash; <?php _e('Used for dropdown opions which the user can choose. Separate possible values with pipes (|).',"jigowatt"); ?></li>									
								</ul>
								<p><?php _e('Each shortcode can also take the following attributes:',"jigowatt"); ?></p>
								<ul style="list-style:disc outside; padding-left: 24px; margin-bottom: 12px">
									<li><code>name</code> &mdash; <?php _e('Name of input - required',"jigowatt"); ?></li>
									<li><code>id</code> &mdash; <?php _e('ID for input  - optional',"jigowatt"); ?></li>
									<li><code>value</code> &mdash; <?php _e('Default value',"jigowatt"); ?></li>
									<li><code>required</code> &mdash; <?php _e('Set to "false" to make the field non-required.',"jigowatt"); ?></li>
								</ul>
								<p><?php _e('You can also add an image based captcha field:',"jigowatt"); ?></p>
								<ul style="list-style:disc outside; padding-left: 24px; margin-bottom: 12px">
									<li><code>[captcha]</code> &mdash; <?php _e('Used to verify a user is not a spam bot.',"jigowatt"); ?></li>
								</ul>
							</div>
							<div class="clear"></div>
						</td> 
					</tr>
				</table>
				<div class="clear"></div>
				
				<h3><?php _e('Twitter options (optional)', 'jigowatt'); ?></h3>
		
				<p class="description"><?php _e('You can get direct message notifications via Twitter when someone submits the form. To disable Twitter Notifications just leave these fields blank. Get your consumer key and consumer secret from <a href="http://dev.twitter.com/apps/new">http://dev.twitter.com/apps/new</a>. Notes:',"jigowatt"); ?></p>
				<ul class="description" style="list-style:disc; margin:10px 40px">
					<li><?php _e('<em>Application Name:</em> Jigowatt Contact Form',"jigowatt"); ?></li>
					<li><?php _e('<em>Description:</em> Jigowatt Contact Form Direct Messaging Funcionality',"jigowatt"); ?></li>
					<li><?php _e('<em>Application Website:</em> ',"jigowatt"); ?><?php bloginfo('url'); ?></li>
					<li><?php _e('<em>Application Type:</em> Browser',"jigowatt"); ?></li>
					<li><?php _e('<em>Callback URL:</em> (Blank)',"jigowatt"); ?></li>
					<li><?php _e('<em>Default Access type:</em> Read and Write',"jigowatt"); ?></li>
				</ul>
				<table class="optiontable form-table">
					<tr valign="top">
						<th scope="row"><label for="twitter_name"><?php _e('Twitter username:',"jigowatt"); ?></label></th> 
						<td><input type="text" value="<?php if (isset($posted['twitter_name'])) echo $posted['twitter_name']; ?>" name="twitter_name" maxlength="200" size="40" id="twitter_name" /></td> 
					<tr valign="top">
						<th scope="row"><label for="twitter_ckey"><?php _e('Consumer key:',"jigowatt"); ?></label></th> 
						<td><input type="text" value="<?php if (isset($posted['twitter_ckey'])) echo $posted['twitter_ckey']; ?>" name="twitter_ckey" maxlength="200" size="40" id="twitter_ckey" /></td>
					</tr>
					<tr valign="top">
						<th scope="row"><label for="twitter_csecret"><?php _e('Consumer Secret:',"jigowatt"); ?></label></th> 
						<td><input type="text" value="<?php if (isset($posted['twitter_csecret'])) echo $posted['twitter_csecret']; ?>" name="twitter_csecret" maxlength="200" size="40" id="twitter_csecret" /></td>
					</tr>
					<tr valign="top">
						<th scope="row"><label for="twitter_token"><?php _e('Token:',"jigowatt"); ?></label></th> 
						<td><input type="text" value="<?php if (isset($posted['twitter_token'])) echo $posted['twitter_token']; ?>" name="twitter_token" size="40" id="twitter_token" /> <span class="description setting-description"><?php _e('Found under "My Access Token" (right menu).',"jigowatt"); ?></span></td> 
					</tr>
					<tr valign="top">
						<th scope="row"><label for="twitter_secret"><?php _e('Secret:',"jigowatt"); ?></label></th> 
						<td><input type="text" value="<?php if (isset($posted['twitter_secret'])) echo $posted['twitter_secret']; ?>" name="twitter_secret" size="40" id="twitter_secret" /> <span class="description setting-description"><?php _e('Found under "My Access Token" (right menu).',"jigowatt"); ?></span></td> 
					</tr>
				</table>
				<div class="clear"></div>
				
				<br class="a_break" style="clear: both;"/>
				<p class="submit"><input type="submit" class="button-primary btn" name="saveform" value="<?php _e('Save Form',"jigowatt"); ?>" /></p>    		
			</form>	
		
		</div>
		<?php
	}
	