<?php

global $wp_db_version, $jigowatt_vars;

### INIT DATABASE ########################################################

	function jigowatt_db_init() {
	 	global $jigowatt_vars, $wpdb;
	 	
	  	// Get Collation
		$collate = "";
		if($wpdb->supports_collation()) {
			if(!empty($wpdb->charset)) $collate = "DEFAULT CHARACTER SET $wpdb->charset";
			if(!empty($wpdb->collate)) $collate .= " COLLATE $wpdb->collate";
		} 
	 	
		$sql = "CREATE TABLE IF NOT EXISTS ".$jigowatt_vars['form_database']." (				
				`ID` 				INT UNSIGNED NOT NULL AUTO_INCREMENT , 
				`form_name`   		VARCHAR (200) NOT NULL ,
				`form_email`		VARCHAR (250) NOT NULL ,
				`form_code`			LONGTEXT NULL ,
				`twitter_data`		LONGTEXT NULL ,
				PRIMARY KEY ( `ID` )
				) $collate";
		$result = $wpdb->query($sql);

	}
	
	if ((isset($_GET['activate']) && $_GET['activate']==true) || (isset($_GET['action']) && $_GET['action']=='activate')) jigowatt_db_init();

### INIT OPTIONS ########################################################
	
	// Unqiue key to this installation to help prevent spam
	add_option('jigowatt_form_key', getUniqueCode(12));

### INIT ADMIN MENUS ####################################################

	function jigowatt_admin_menus() { 
		global $jigowatt_vars;	
	    $page_1 = add_menu_page(__('Jigowatt Forms',"jigowatt"), __('Jigowatt Forms',"jigowatt"), 'manage_options', 'jigowatt-forms' , 'jigowatt_form_admin_welcome', $jigowatt_vars['plugin_url'] . '/assets/menu_icon.png');
		$page_2 = add_submenu_page('jigowatt-forms', __('Edit Forms',"jigowatt"), __('Edit Forms',"jigowatt"), 'manage_options', 'jigowatt-forms' , 'jigowatt_form_admin_welcome');
		$page_3 = add_submenu_page('jigowatt-forms', __('Add Form',"jigowatt"), __('Add Form',"jigowatt"), 'manage_options', 'gb_contact_form_admin_add_form' , 'gb_contact_form_admin_add_form');
	    
	    // CSS for our admin pages
	    add_action('admin_print_styles-' . $page_1, 'jigowatt_cf_admin_styles');
	    add_action('admin_print_styles-' . $page_2, 'jigowatt_cf_admin_styles');
	    add_action('admin_print_styles-' . $page_3, 'jigowatt_cf_admin_styles');
	}
	add_action('admin_menu', 'jigowatt_admin_menus');
	
### INIT STYLES #########################################################

	function jigowatt_admin_init_styles() {
		global $jigowatt_vars;
	    wp_register_style('jigowatt_cf_admin_stylesheet', $jigowatt_vars['plugin_url'] . 'style/admin.css');
	}
	add_action('admin_menu', 'jigowatt_admin_init_styles');
	
	function jigowatt_cf_admin_styles() {
		wp_enqueue_style('jigowatt_cf_admin_stylesheet');
	}
	
	function jigowatt_init_styles() {
		global $jigowatt_vars;
	    wp_register_style('jigowatt_form_stylesheet', $jigowatt_vars['plugin_url'] . 'style/contact.css');
	    wp_enqueue_style('jigowatt_form_stylesheet');
	}
	add_action('wp_print_styles', 'jigowatt_init_styles');


### INIT ##############################################################

	function jigowatt_init() {
		@session_start();
		wp_enqueue_script('jquery');
	}
	add_action('init', 'jigowatt_init');
	
### WORDPRESS HEADER ##################################

function wp_gb_contact_form_wp_head() {

}
add_action('wp_head', 'wp_gb_contact_form_wp_head');