<?php
/*
	Plugin Name: Jigowatt WordPress Ajax Contact Forms
	Plugin URI: http://jigowatt.co.uk
	Description: An AJAX powered HTML / PHP contact form with Twitter Direct Messaging, easily integrated into WordPress posts, pages, or templates.
	Version: 1.2.3
	Author: Mike Jolley
	Author URI: http://blue-anvil.com
	Requires at least: 2.9
	Tested up to: 3.1.1
*/

### DEFINE VARS & VERSION ####################################################

	global $wp_db_version, $jigowatt_vars, $table_prefix;
	
	if ( ! defined( 'WP_CONTENT_URL' ) ) :
		if ( defined( 'WP_SITEURL' ) ) define( 'WP_CONTENT_URL', WP_SITEURL . '/wp-content' ); else define( 'WP_CONTENT_URL', get_option( 'url' ) . '/wp-content' );
	endif;
	if ( ! defined( 'WP_CONTENT_DIR' ) ) define( 'WP_CONTENT_DIR', ABSPATH . 'wp-content' );
	if ( ! defined( 'WP_PLUGIN_URL' ) ) define( 'WP_PLUGIN_URL', WP_CONTENT_URL. '/plugins' );
	if ( ! defined( 'WP_PLUGIN_DIR' ) ) define( 'WP_PLUGIN_DIR', WP_CONTENT_DIR . '/plugins' );
	
	if (!defined("PHP_EOL")) define("PHP_EOL", "\r\n");

	load_plugin_textdomain('jigowatt', WP_PLUGIN_URL.'/jigowatt-wp-ajax-contact-form/languages', 'jigowatt-wp-ajax-contact-form/languages');
	
	$jigowatt_vars = array(
		'form_database'		=>		$table_prefix.'jigowatt_form',
		'form_version' 		=>		'1.0',
		'plugin_url'		=> 		WP_CONTENT_URL.'/plugins/jigowatt-wp-ajax-contact-forms/',
		'plugin_path'		=>		WP_CONTENT_DIR.'/plugins/jigowatt-wp-ajax-contact-forms/'
	);
	
### INCLUDE FILES ####################################################
	
	include_once( 'form-functions.php' );
	include_once( 'form-init.php' );	
	include_once( 'form-shortcodes.php' );
	
	if (is_admin()) :		
		include_once( 'form-admin.php' );	
	endif;

